#   C4DLL.MAK (c)Copyright Sequiter Software Inc.,  All rights reserved. */
#  
#   Make file for creating C4DLL.DLL, C4DLL.LIB ( Microsoft C 7.0 )

#		*Implicit Rules*

Compiler = cl
Compiler_options = -DS4DLL_BUILD -c -Zp1 -ALw -Gsw -W2 -Owd

#		*List Macros*

Object_files =   \
   f4info_p.obj \
   f4seq.obj \
   t4info.obj \
   d4data_p.obj \
   s4str.obj \
   s4string.obj \
   b4block.obj \
   c4.obj \
   c4bcd.obj \
   c4code.obj \
   c4const.obj \
   d4append.obj \
   d4close.obj \
   d4create.obj \
   d4data.obj \
   d4date.obj \
   d4field.obj \
   d4flush.obj \
   d4fresh.obj \
   d4go.obj \
   d4index.obj \
   d4lock.obj \
   d4open.obj \
   d4opt.obj \
   d4pack.obj \
   d4positi.obj \
   d4seek.obj \
   d4skip.obj \
   d4tag.obj \
   d4unlock.obj \
   d4write.obj \
   d4zap.obj \
   e4calc.obj \
   e4error.obj \
   e4expr.obj \
   e4functi.obj \
   e4not_s.obj \
   e4parse.obj \
   f4ass_f.obj \
   f4char.obj \
   f4close.obj \
   f4create.obj \
   f4double.obj \
   f4field.obj \
   f4file.obj \
   f4filese.obj \
   f4flag.obj \
   f4flush.obj \
   f4info.obj \
   f4int.obj \
   f4lock.obj \
   f4long.obj \
   f4memo.obj \
   f4open.obj \
   f4opt.obj \
   f4ptr.obj \
   f4str.obj \
   f4temp.obj \
   f4true.obj \
   f4write.obj \
   i4add.obj \
   i4addtag.obj \
   i4check.obj \
   i4create.obj \
   i4dump.obj \
   i4index.obj \
   i4info.obj \
   i4init.obj \
   i4key.obj \
   i4lock.obj \
   i4ntag.obj \
   i4positi.obj \
   i4remove.obj \
   i4tag.obj \
   l4link.obj \
   l4lock_c.obj \
   m4check.obj \
   m4create.obj \
   m4file.obj \
   m4map.obj  \
   m4memo.obj \
   m4memory.obj \
   o4opt.obj \
   r4code.obj \
   r4driver.obj \
   r4group.obj \
   r4log.obj \
   r4object.obj \
   r4reinde.obj \
   r4reindx.obj \
   r4relate.obj \
   r4report.obj \
   r4save.obj \
   r4save_m.obj \
   r4styles.obj \
   r4text.obj \
   r4total.obj \
   s4init.obj \
   s4initfr.obj \
   s4next.obj \
   s4quick.obj \
   s4sort.obj \
   u4name.obj \
   u4util.obj \

#		*Link*
c4dll.dll: $(Object_files) c4dll.lst c4dll.def
   link @c4dll.lst
   implib c4dll.lib c4dll.dll
   rc -k c4dll.dll

#		*Compile*

f4info_p.obj  :  f4info_p.cpp
   $(Compiler) $(Compiler_options)   -Tpf4info_p.cpp

f4seq.obj  :  f4seq.cpp
   $(Compiler) $(Compiler_options)   -Tpf4seq.cpp

t4info.obj  :  t4info.cpp
   $(Compiler) $(Compiler_options)   -Tpt4info.cpp

d4data_p.obj  :  d4data_p.cpp
   $(Compiler) $(Compiler_options)   -Tpd4data_p.cpp

s4str.obj  :  s4str.cpp
   $(Compiler) $(Compiler_options)   -Tps4str.cpp

s4string.obj  :  s4string.cpp
   $(Compiler) $(Compiler_options)   -Tps4string.cpp

b4block.obj  :  b4block.c
   $(Compiler) $(Compiler_options)   -Tpb4block.c

c4.obj       :  c4.c
   $(Compiler) $(Compiler_options)   -Tpc4.c

c4bcd.obj    :  c4bcd.c
   $(Compiler) $(Compiler_options)   -Tpc4bcd.c

c4code.obj   :  c4code.c
   $(Compiler) $(Compiler_options)   -Tpc4code.c

c4const.obj  :  c4const.c
   $(Compiler) $(Compiler_options)   -Tpc4const.c

d4append.obj :  d4append.c
   $(Compiler) $(Compiler_options)   -Tpd4append.c

d4close.obj  :  d4close.c
   $(Compiler) $(Compiler_options)   -Tpd4close.c

d4create.obj :  d4create.c
   $(Compiler) $(Compiler_options)   -Tpd4create.c

d4data.obj   :  d4data.c
   $(Compiler) $(Compiler_options)   -Tpd4data.c

d4date.obj   :  d4date.c
   $(Compiler) $(Compiler_options)   -Tpd4date.c

d4field.obj  :  d4field.c
   $(Compiler) $(Compiler_options)   -Tpd4field.c

d4flush.obj  :  d4flush.c
   $(Compiler) $(Compiler_options)   -Tpd4flush.c

d4fresh.obj  :  d4fresh.c
   $(Compiler) $(Compiler_options)   -Tpd4fresh.c

d4go.obj     :  d4go.c
   $(Compiler) $(Compiler_options)   -Tpd4go.c

d4lock.obj   :  d4lock.c
   $(Compiler) $(Compiler_options)   -Tpd4lock.c

d4index.obj   :  d4index.c
   $(Compiler) $(Compiler_options)   -Tpd4index.c

d4open.obj   :  d4open.c
   $(Compiler) $(Compiler_options)   -Tpd4open.c

d4opt.obj    :  d4opt.c
   $(Compiler) $(Compiler_options)   -Tpd4opt.c

d4pack.obj   :  d4pack.c
   $(Compiler) $(Compiler_options)   -Tpd4pack.c

d4positi.obj :  d4positi.c
   $(Compiler) $(Compiler_options)   -Tpd4positi.c

d4seek.obj   :  d4seek.c
   $(Compiler) $(Compiler_options)   -Tpd4seek.c

d4skip.obj   :  d4skip.c
   $(Compiler) $(Compiler_options)   -Tpd4skip.c

d4tag.obj    :  d4tag.c
   $(Compiler) $(Compiler_options)   -Tpd4tag.c

d4unlock.obj :  d4unlock.c
   $(Compiler) $(Compiler_options)   -Tpd4unlock.c

d4write.obj  :  d4write.c
   $(Compiler) $(Compiler_options)   -Tpd4write.c

d4zap.obj    :  d4zap.c
   $(Compiler) $(Compiler_options)   -Tpd4zap.c

e4calc.obj   :  e4calc.c
   $(Compiler) $(Compiler_options)   -Tpe4calc.c

e4error.obj  :  e4error.c
   $(Compiler) $(Compiler_options)   -Tpe4error.c

e4expr.obj   :  e4expr.c
   $(Compiler) $(Compiler_options)   -Tpe4expr.c

e4not_s.obj :  e4not_s.c
   $(Compiler) $(Compiler_options)   -Tpe4not_s.c

e4functi.obj :  e4functi.c
   $(Compiler) $(Compiler_options)   -Tpe4functi.c

e4parse.obj  :  e4parse.c
   $(Compiler) $(Compiler_options)   -Tpe4parse.c

f4ass_f.obj  :  f4ass_f.c
   $(Compiler) $(Compiler_options)   -Tpf4ass_f.c

f4char.obj   :  f4char.c
   $(Compiler) $(Compiler_options)   -Tpf4char.c

f4close.obj  :  f4close.c
   $(Compiler) $(Compiler_options)   -Tpf4close.c

f4create.obj :  f4create.c
   $(Compiler) $(Compiler_options)   -Tpf4create.c

f4double.obj :  f4double.c
   $(Compiler) $(Compiler_options)   -Tpf4double.c

f4field.obj  :  f4field.c
   $(Compiler) $(Compiler_options)   -Tpf4field.c

f4file.obj   :  f4file.c
   $(Compiler) $(Compiler_options)   -Tpf4file.c

f4filese.obj :  f4filese.c
   $(Compiler) $(Compiler_options)   -Tpf4filese.c

f4flag.obj   :  f4flag.c
   $(Compiler) $(Compiler_options)   -Tpf4flag.c

f4flush.obj  :  f4flush.c
   $(Compiler) $(Compiler_options)   -Tpf4flush.c

f4info.obj   :  f4info.c
   $(Compiler) $(Compiler_options)   -Tpf4info.c

f4int.obj    :  f4int.c
   $(Compiler) $(Compiler_options)   -Tpf4int.c

f4lock.obj   :  f4lock.c
   $(Compiler) $(Compiler_options)   -Tpf4lock.c

f4long.obj   :  f4long.c
   $(Compiler) $(Compiler_options)   -Tpf4long.c

f4memo.obj   :  f4memo.c
   $(Compiler) $(Compiler_options)   -Tpf4memo.c

f4open.obj   :  f4open.c
   $(Compiler) $(Compiler_options)   -Tpf4open.c

f4opt.obj    :  f4opt.c
   $(Compiler) $(Compiler_options)   -Tpf4opt.c

f4ptr.obj    :  f4ptr.c
   $(Compiler) $(Compiler_options)   -Tpf4ptr.c

f4str.obj    :  f4str.c
   $(Compiler) $(Compiler_options)   -Tpf4str.c

f4temp.obj   :  f4temp.c
   $(Compiler) $(Compiler_options)   -Tpf4temp.c

f4true.obj   :  f4true.c
   $(Compiler) $(Compiler_options)   -Tpf4true.c

f4write.obj   :  f4write.c
   $(Compiler) $(Compiler_options)   -Tpf4write.c

i4add.obj :  i4add.c
   $(Compiler) $(Compiler_options)   -Tpi4add.c

i4addtag.obj :  i4addtag.c
   $(Compiler) $(Compiler_options)   -Tpi4addtag.c

i4check.obj  :  i4check.c
   $(Compiler) $(Compiler_options)   -Tpi4check.c

i4create.obj :  i4create.c
   $(Compiler) $(Compiler_options)   -Tpi4create.c

i4dump.obj   :  i4dump.c
   $(Compiler) $(Compiler_options)   -Tpi4dump.c

i4index.obj  :  i4index.c
   $(Compiler) $(Compiler_options)   -Tpi4index.c

i4info.obj   :  i4info.c
   $(Compiler) $(Compiler_options)   -Tpi4info.c

i4init.obj   :  i4init.c
   $(Compiler) $(Compiler_options)   -Tpi4init.c

i4key.obj    :  i4key.c
   $(Compiler) $(Compiler_options)   -Tpi4key.c

i4lock.obj   :  i4lock.c
   $(Compiler) $(Compiler_options)   -Tpi4lock.c

i4ntag.obj   :  i4ntag.c
   $(Compiler) $(Compiler_options)   -Tpi4ntag.c

i4positi.obj :  i4positi.c
   $(Compiler) $(Compiler_options)   -Tpi4positi.c

i4remove.obj :  i4remove.c
   $(Compiler) $(Compiler_options)   -Tpi4remove.c

i4tag.obj    :  i4tag.c
   $(Compiler) $(Compiler_options)   -Tpi4tag.c

l4link.obj   :  l4link.c
   $(Compiler) $(Compiler_options)   -Tpl4link.c

l4lock_c.obj :  l4lock_c.c
   $(Compiler) $(Compiler_options)   -Tpl4lock_c.c

m4check.obj  :  m4check.c
   $(Compiler) $(Compiler_options)   -Tpm4check.c

m4create.obj :  m4create.c
   $(Compiler) $(Compiler_options)   -Tpm4create.c

m4file.obj   :  m4file.c
   $(Compiler) $(Compiler_options)   -Tpm4file.c

m4map.obj    :  m4map.c 
   $(Compiler) $(Compiler_options)   -Tpm4map.c 

m4memo.obj   :  m4memo.c
   $(Compiler) $(Compiler_options)   -Tpm4memo.c

m4memory.obj :  m4memory.c
   $(Compiler) $(Compiler_options)   -Tpm4memory.c

o4opt.obj    :  o4opt.c
   $(Compiler) $(Compiler_options)   -Tpo4opt.c

r4code.obj   :  r4code.c
   $(Compiler) $(Compiler_options)   -Tpr4code.c

r4driver.obj :  r4driver.c
   $(Compiler) $(Compiler_options)   -Tpr4driver.c

r4group.obj  :  r4group.c
   $(Compiler) $(Compiler_options)   -Tpr4group.c

r4log.obj    :  r4log.c
   $(Compiler) $(Compiler_options)   -Tpr4log.c

r4object.obj :  r4object.c
   $(Compiler) $(Compiler_options)   -Tpr4object.c

r4reinde.obj :  r4reinde.c
   $(Compiler) $(Compiler_options)   -Tpr4reinde.c

r4reindx.obj :  r4reindx.c
   $(Compiler) $(Compiler_options)   -Tpr4reindx.c

r4relate.obj :  r4relate.c
   $(Compiler) $(Compiler_options)   -Tpr4relate.c

r4report.obj :  r4report.c
   $(Compiler) $(Compiler_options)   -Tpr4report.c

r4save.obj   :  r4save.c
   $(Compiler) $(Compiler_options)   -Tpr4save.c

r4save_m.obj :  r4save_m.c
   $(Compiler) $(Compiler_options)   -Tpr4save_m.c

r4styles.obj :  r4styles.c
   $(Compiler) $(Compiler_options)   -Tpr4styles.c

r4text.obj   :  r4text.c
   $(Compiler) $(Compiler_options)   -Tpr4text.c

r4total.obj  :  r4total.c
   $(Compiler) $(Compiler_options)   -Tpr4total.c

s4init.obj   :  s4init.c
   $(Compiler) $(Compiler_options)   -Tps4init.c

s4initfr.obj :  s4initfr.c
   $(Compiler) $(Compiler_options)   -Tps4initfr.c

s4next.obj   :  s4next.c
   $(Compiler) $(Compiler_options)   -Tps4next.c

s4quick.obj  :  s4quick.c
   $(Compiler) $(Compiler_options)   -Tps4quick.c

s4sort.obj   :  s4sort.c
   $(Compiler) $(Compiler_options)   -Tps4sort.c

u4name.obj   :  u4name.c
   $(Compiler) $(Compiler_options)   -Tpu4name.c

u4util.obj   :  u4util.c
   $(Compiler) $(Compiler_options)   -Tpu4util.c
